import Vue from 'vue'
import App from './App'
import './uni.promisify.adaptor'

import uView from 'uview-ui'
Vue.use(uView)

import $utils from 'utils/index.js'
// 公共方法
Vue.prototype.$utils = $utils

import { baseUrl } from '@/common/config.js'
Vue.prototype.$globalData = {
  // 图片前缀
	publicUrl: baseUrl
}

import store from './store'
Vue.prototype.$store = store

Vue.config.productionTip = false
Vue.config.ignoredElements.push('wx-open-launch-weapp');
App.mpType = 'app'

const app = new Vue({
  ...App
})
app.$mount()
